Last Comment Bug 770558 - Build failure at dom\tests\mochitest\dom-level2-html\files with return code 101120
: Build failure at dom\tests\mochitest\dom-level2-html\files with return code 1...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86_64 Windows 7
: -- blocker (vote)
: mozilla16
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
: Gregory Szorc [:gps]
Mentors:
: 770774 (view as bug list)
Depends on:
Blocks: 680636 757252
  Show dependency treegraph
 
Reported: 2012-07-03 09:05 PDT by Honza Bambas (:mayhemer)
Modified: 2012-07-06 07:48 PDT (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
quick workaround [NOT FOR CHECKING] (1.75 KB, patch)
2012-07-03 11:22 PDT, Honza Bambas (:mayhemer)
no flags Details | Diff | Splinter Review
Split test list into two and switch to native nsinstall (1.91 KB, patch)
2012-07-03 12:18 PDT, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Splinter Review
avoid using msys sh for python invocations (865 bytes, patch)
2012-07-04 02:55 PDT, Siddharth Agarwal [:sid0] (inactive)
khuey: review+
Details | Diff | Splinter Review

Description Honza Bambas (:mayhemer) 2012-07-03 09:05:39 PDT
Using msvc10 config to build.

c:\Mozilla\src\mozilla-central\_obj-browser-debug\dom\tests\mochitest\dom-level2-html\files\Makefile:227:0: command '/c/Mozilla/src/mozilla-central/_obj-brows
er-debug/_virtualenv/Scripts/python.exe c:/Mozilla/src/mozilla-central/config/nsinstall.py -t "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-h
tml/files/anchor.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/anchor.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochi
test/dom-level2-html/files/anchor.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/anchor2.html" "c:/Mozilla/src/mozilla-central
/dom/tests/mochitest/dom-level2-html/files/anchor2.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/anchor2.xml" "c:/Mozilla/s
rc/mozilla-central/dom/tests/mochitest/dom-level2-html/files/applet.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/applet.xht
ml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/applet.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/
files/applet2.class" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/applet2.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochite
st/dom-level2-html/files/applet2.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/applet2.xml" "c:/Mozilla/src/mozilla-central
/dom/tests/mochitest/dom-level2-html/files/area.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/area.xhtml" "c:/Mozilla/src/mo
zilla-central/dom/tests/mochitest/dom-level2-html/files/area.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/area2.html" "c:/Mo
zilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/area2.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/are
a2.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/base.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-ht
ml/files/base.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/base.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/d
om-level2-html/files/base2.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/base2.xhtml" "c:/Mozilla/src/mozilla-central/dom/te
sts/mochitest/dom-level2-html/files/base2.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/body.html" "c:/Mozilla/src/mozilla-ce
ntral/dom/tests/mochitest/dom-level2-html/files/body.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/body.xml" "c:/Mozilla/sr
c/mozilla-central/dom/tests/mochitest/dom-level2-html/files/br.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/br.xhtml" "c:/M
ozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/br.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/button.
html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/button.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-h
tml/files/button.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/collection.html" "c:/Mozilla/src/mozilla-central/dom/tests/moc
hitest/dom-level2-html/files/collection.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/collection.xml" "c:/Mozilla/src/mozil
la-central/dom/tests/mochitest/dom-level2-html/files/directory.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/directory.xhtml
" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/directory.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html
/files/div.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/div.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-
level2-html/files/div.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/dl.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochit
est/dom-level2-html/files/dl.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/dl.xml" "c:/Mozilla/src/mozilla-central/dom/test
s/mochitest/dom-level2-html/files/document.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/document-with-applet.html" "c:/Mozi
lla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/document.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/do
cument.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/element.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-le
vel2-html/files/element.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/element.xml" "c:/Mozilla/src/mozilla-central/dom/test
s/mochitest/dom-level2-html/files/fieldset.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/fieldset.xhtml" "c:/Mozilla/src/moz
illa-central/dom/tests/mochitest/dom-level2-html/files/fieldset.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/font.html" "c:/
Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/font.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/fo
nt.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/form.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-ht
ml/files/form.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/form.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/d
om-level2-html/files/form2.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/form2.xhtml" "c:/Mozilla/src/mozilla-central/dom/te
sts/mochitest/dom-level2-html/files/form2.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/form3.html" "c:/Mozilla/src/mozilla-c
entral/dom/tests/mochitest/dom-level2-html/files/form3.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/form3.xml" "c:/Mozilla
/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/frame.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/frame.xht
ml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/frame.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/f
iles/frame2.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/frame2.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/
dom-level2-html/files/frame2.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/frameset.html" "c:/Mozilla/src/mozilla-central/dom
/tests/mochitest/dom-level2-html/files/frameset.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/frameset.xml" "c:/Mozilla/src
/mozilla-central/dom/tests/mochitest/dom-level2-html/files/heading.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/heading.xht
ml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/heading.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html
/files/hr.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/hr.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-le
vel2-html/files/hr.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/html.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochite
st/dom-level2-html/files/html.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/html.xml" "c:/Mozilla/src/mozilla-central/dom/t
ests/mochitest/dom-level2-html/files/iframe.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/iframe.xhtml" "c:/Mozilla/src/mozi
lla-central/dom/tests/mochitest/dom-level2-html/files/iframe.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/iframe2.html" "c:/
Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/iframe2.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files
/iframe2.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/img.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-leve
l2-html/files/img.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/img.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochites
t/dom-level2-html/files/index.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/input.html" "c:/Mozilla/src/mozilla-central/dom/
tests/mochitest/dom-level2-html/files/input.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/input.xml" "c:/Mozilla/src/mozill
a-central/dom/tests/mochitest/dom-level2-html/files/isindex.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/isindex.xhtml" "c:
/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/isindex.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/
label.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/label.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-lev
el2-html/files/label.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/legend.html" "c:/Mozilla/src/mozilla-central/dom/tests/moc
hitest/dom-level2-html/files/legend.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/legend.xml" "c:/Mozilla/src/mozilla-centr
al/dom/tests/mochitest/dom-level2-html/files/li.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/li.xhtml" "c:/Mozilla/src/mozi
lla-central/dom/tests/mochitest/dom-level2-html/files/li.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/link.html" "c:/Mozilla
/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/link.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/link.xml"
 "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/link2.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/fil
es/link2.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/link2.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-l
evel2-html/files/map.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/map.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/moch
itest/dom-level2-html/files/map.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/menu.html" "c:/Mozilla/src/mozilla-central/dom/
tests/mochitest/dom-level2-html/files/menu.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/menu.xml" "c:/Mozilla/src/mozilla-
central/dom/tests/mochitest/dom-level2-html/files/meta.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/meta.xhtml" "c:/Mozilla
/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/meta.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/mod.html" "
c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/mod.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/
mod.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/object.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2
-html/files/object.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/object.xml" "c:/Mozilla/src/mozilla-central/dom/tests/moch
itest/dom-level2-html/files/object2.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/object2.xhtml" "c:/Mozilla/src/mozilla-cen
tral/dom/tests/mochitest/dom-level2-html/files/object2.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/olist.html" "c:/Mozilla/
src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/olist.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/olist.xml
" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/optgroup.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html
/files/optgroup.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/optgroup.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochi
test/dom-level2-html/files/option.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/option.xhtml" "c:/Mozilla/src/mozilla-centra
l/dom/tests/mochitest/dom-level2-html/files/option.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/optionscollection.html" "c:/
Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/optionscollection.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-
html/files/optionscollection.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/paragraph.html" "c:/Mozilla/src/mozilla-central/do
m/tests/mochitest/dom-level2-html/files/paragraph.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/paragraph.xml" "c:/Mozilla/
src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/param.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/param.xhtm
l" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/param.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/fi
les/pre.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/pre.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-lev
el2-html/files/pre.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/quote.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochit
est/dom-level2-html/files/quote.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/quote.xml" "c:/Mozilla/src/mozilla-central/do
m/tests/mochitest/dom-level2-html/files/right.png" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/script.html" "c:/Mozilla/src/mozi
lla-central/dom/tests/mochitest/dom-level2-html/files/script.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/script.xml" "c:/
Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/select.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/s
elect.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/select.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-lev
el2-html/files/style.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/style.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mo
chitest/dom-level2-html/files/style.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/table.html" "c:/Mozilla/src/mozilla-central
/dom/tests/mochitest/dom-level2-html/files/table.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/table.xml" "c:/Mozilla/src/m
ozilla-central/dom/tests/mochitest/dom-level2-html/files/table1.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/table1.xhtml"
"c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/table1.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/file
s/tablecaption.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/tablecaption.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/m
ochitest/dom-level2-html/files/tablecaption.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/tablecell.html" "c:/Mozilla/src/moz
illa-central/dom/tests/mochitest/dom-level2-html/files/tablecell.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/tablecell.xm
l" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/tablecol.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-htm
l/files/tablecol.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/tablecol.xml" "c:/Mozilla/src/mozilla-central/dom/tests/moch
itest/dom-level2-html/files/tablerow.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/tablerow.xhtml" "c:/Mozilla/src/mozilla-c
entral/dom/tests/mochitest/dom-level2-html/files/tablerow.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/tablesection.html" "c
:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/tablesection.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-htm
l/files/tablesection.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/textarea.html" "c:/Mozilla/src/mozilla-central/dom/tests/m
ochitest/dom-level2-html/files/textarea.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/textarea.xml" "c:/Mozilla/src/mozilla
-central/dom/tests/mochitest/dom-level2-html/files/title.html" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/title.xhtml" "c:/Mozi
lla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/title.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/ulist.h
tml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/ulist.xhtml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-htm
l/files/ulist.xml" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/w3c_main.png" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest
/dom-level2-html/files/xhtml-lat1.ent" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/xhtml-special.ent" "c:/Mozilla/src/mozilla-ce
ntral/dom/tests/mochitest/dom-level2-html/files/xhtml-symbol.ent" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/xhtml1-frameset.dt
d" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2-html/files/xhtml1-strict.dtd" "c:/Mozilla/src/mozilla-central/dom/tests/mochitest/dom-level2
-html/files/xhtml1-transitional.dtd" ../../../../../_tests/testing/mochitest/tests/dom/tests/mochitest/dom-level2-html/files' failed, return code 101120
c:\Mozilla\src\mozilla-central\config\makefiles\target_libs.mk:103:0: command 'c:/Mozilla/mozilla-build/python/python.exe c:/Mozilla/src/mozilla-central/build
/pymake/pymake/../make.py -C files libs' failed, return code 2
c:\Mozilla\src\mozilla-central\config\makefiles\target_libs.mk:103:0: command 'c:/Mozilla/mozilla-build/python/python.exe c:/Mozilla/src/mozilla-central/build
/pymake/pymake/../make.py -C dom-level2-html libs' failed, return code 2
c:\Mozilla\src\mozilla-central\config\makefiles\target_libs.mk:103:0: command 'c:/Mozilla/mozilla-build/python/python.exe c:/Mozilla/src/mozilla-central/build
/pymake/pymake/../make.py -C mochitest libs' failed, return code 2
c:\Mozilla\src\mozilla-central\config\makefiles\target_libs.mk:103:0: command 'c:/Mozilla/mozilla-build/python/python.exe c:/Mozilla/src/mozilla-central/build
/pymake/pymake/../make.py -C tests libs' failed, return code 2
c:\Mozilla\src\mozilla-central\config\makefiles\target_libs.mk:18:0: command 'c:/Mozilla/mozilla-build/python/python.exe c:/Mozilla/src/mozilla-central/build/
pymake/pymake/../make.py -C dom libs' failed, return code 2
c:\Mozilla\src\mozilla-central\config\rules.mk:607:0: command 'c:/Mozilla/mozilla-build/python/python.exe c:/Mozilla/src/mozilla-central/build/pymake/pymake/.
./make.py libs_tier_platform' failed, return code 2
c:\Mozilla\src\mozilla-central\config\rules.mk:572:0: command 'c:/Mozilla/mozilla-build/python/python.exe c:/Mozilla/src/mozilla-central/build/pymake/pymake/.
./make.py  tier_platform' failed, return code 2
c:\Mozilla\src\mozilla-central\client.mk:349:0: command 'c:/Mozilla/mozilla-build/python/python.exe c:/Mozilla/src/mozilla-central/build/pymake/pymake/../make
.py -j9 -C c:/Mozilla/src/mozilla-central/_obj-browser-debug' failed, return code 2
c:\Mozilla\src\mozilla-central\client.mk:149:0: command 'c:/Mozilla/mozilla-build/python/python.exe c:/Mozilla/src/mozilla-central/build/pymake/pymake/../make
.py -f c:/Mozilla/src/mozilla-central/client.mk realbuild' failed, return code 2


.mozconfig:

# Options for client.mk.
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/_obj-browser-debug
mk_add_options MOZ_MAKE_FLAGS=-j9

# Options for 'configure' (same as command-line options).
#ac_add_options --enable-jemalloc

export MOZ_DEBUG_SYMBOLS=1

ac_add_options --enable-application=browser
ac_add_options --enable-debug
ac_add_options --disable-optimize
ac_add_options --enable-shared
ac_add_options --disable-static
ac_add_options --enable-tests
ac_add_options --enable-logging
ac_add_options --enable-visual-event-tracer
ac_add_options --disable-installer
ac_add_options --enable-chrome-format=flat
ac_add_options --disable-crashreporter
ac_add_options --disable-webm
ac_add_options --disable-accessibility
ac_add_options --disable-angle
Comment 1 Honza Bambas (:mayhemer) 2012-07-03 10:05:12 PDT
Last working cs: 8155cc5972d6
Comment 2 Honza Bambas (:mayhemer) 2012-07-03 11:22:16 PDT
Created attachment 638811 [details] [diff] [review]
quick workaround [NOT FOR CHECKING]

apply this if you need to be on the tip ; it disables build of few tests that you may not need to use anyway.
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2012-07-03 12:18:14 PDT
Created attachment 638828 [details] [diff] [review]
Split test list into two and switch to native nsinstall

Either one of these fixes works individually, but I decided people on GNU make might hit this too.
Comment 4 Siddharth Agarwal [:sid0] (inactive) 2012-07-03 12:31:21 PDT
Comment on attachment 638828 [details] [diff] [review]
Split test list into two and switch to native nsinstall

mayhemer mentioned he was hitting the same issue in other directories too. Investigating.
Comment 5 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-07-03 20:53:25 PDT
I'm also hitting this bug, in the same directory.
Comment 6 Mark Hammond [:markh] 2012-07-03 22:47:05 PDT
I'm another victim...
Comment 7 Masayuki Nakano [:masayuki] (Mozilla Japan) 2012-07-03 23:34:10 PDT
*** Bug 770774 has been marked as a duplicate of this bug. ***
Comment 8 Siddharth Agarwal [:sid0] (inactive) 2012-07-04 02:55:28 PDT
Created attachment 639013 [details] [diff] [review]
avoid using msys sh for python invocations

Turns out msys sh was being invoked because PYTHON was set to an msys path and not a Win32 path. MOZ_BUILD_ROOT is a Win32 path, but it works fine with gmake as well.
Comment 9 Mark Hammond [:markh] 2012-07-04 03:22:28 PDT
works for me :)
Comment 10 Siddharth Agarwal [:sid0] (inactive) 2012-07-04 03:48:30 PDT
Pushed to try. https://tbpl.mozilla.org/?tree=Try&rev=18b4bdae964f is the usual link but it's broken right now. https://tbpl.mozilla.org/?tree=Try&pusher=sid.bugzilla@gmail.com works in its stead.
Comment 11 Masatoshi Kimura [:emk] 2012-07-05 09:38:05 PDT
> Pushed to try. https://tbpl.mozilla.org/?tree=Try&rev=18b4bdae964f is the usual link but it's broken right now.
Is there a bug about this? I can't see any revision specified tbpl urls. Stopped with "Loading 9% …" :(
Comment 12 Honza Bambas (:mayhemer) 2012-07-05 11:44:07 PDT
Confirming this fixes the build problem for me.
Comment 13 Ian Melven :imelven 2012-07-05 13:58:00 PDT
(In reply to Masatoshi Kimura [:emk] from comment #11)
> > Pushed to try. https://tbpl.mozilla.org/?tree=Try&rev=18b4bdae964f is the usual link but it's broken right now.
> Is there a bug about this? I can't see any revision specified tbpl urls.
> Stopped with "Loading 9% …" :(

bug 770811 is the most relevant i think ?
Comment 14 Siddharth Agarwal [:sid0] (inactive) 2012-07-05 22:10:13 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/9fad3e1bc979

Note You need to log in before you can comment on or make changes to this bug.